# URVault Configuration
# Generated by installer on 2026-03-23T18:57:08.403Z

# Database
DB_HOST=localhost
DB_PORT=3306
DB_USER=urvault
DB_PASSWORD=505397a8994f40a190738af0c8198a0a
DB_NAME=urvault

# Server
PORT=5173
SERVER_PORT=5173
SERVER_HOST=0.0.0.0
NODE_ENV=production
HOST=0.0.0.0

# Storage
STORAGE_PATH=C:\ProgramData\URVault\backups
MAX_BACKUP_SIZE=10737418240

# Security (auto-generated -- do not share)
JWT_SECRET=a9562e8a76b49a2443a9238a90bc50986f30b8093aa34ebe9bf0764e137c58e0
ENCRYPTION_KEY=58582824b324768a28ee258f93887727e94ed97ebbf26b6233c835bcf1cf20b6
ADMIN_KEY=2b2a5f5ce18bbda1879e277d76738dfa0c07e07516b6390f44e04ef78857322b

# Relay
MAILBOX_URL=https://urvault.net
MAILBOX_SECRET=3304616032c184eb5dca70ae26b53f8e9cf35d3c58988792820388ca9d331339

# Network (LOCAL_IP updated automatically on each startup)
LOCAL_IP=192.168.1.203
# EXTERNAL_URL set automatically at startup via Cloudflare Tunnel
EXTERNAL_URL=https://turning-aspects-entitled-grain.trycloudflare.com
SERVER_UUID=5b7db382-1263-4ca7-be95-68d25c1b6c9a
